/*
 * The Apache Software License, Version 1.1
 *
 *
 * Copyright (c) 2002 The Apache Software Foundation.  All rights 
 * reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer. 
 *
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in
 *    the documentation and/or other materials provided with the
 *    distribution.
 *
 * 3. The end-user documentation included with the redistribution,
 *    if any, must include the following acknowledgment:  
 *       "This product includes software developed by the
 *        Apache Software Foundation (http://www.apache.org/)."
 *    Alternately, this acknowledgment may appear in the software itself,
 *    if and wherever such third-party acknowledgments normally appear.
 *
 * 4. The names "WSIF" and "Apache Software Foundation" must
 *    not be used to endorse or promote products derived from this
 *    software without prior written permission. For written 
 *    permission, please contact apache@apache.org.
 *
 * 5. Products derived from this software may not be called "Apache",
 *    nor may "Apache" appear in their name, without prior written
 *    permission of the Apache Software Foundation.
 *
 * THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED.  IN NO EVENT SHALL THE APACHE SOFTWARE FOUNDATION OR
 * ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
 * USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
 * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
 * OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 * ====================================================================
 *
 * This software consists of voluntary contributions made by many
 * individuals on behalf of the Apache Software Foundation and was
 * originally based on software copyright (c) 2001, 2002, International
 * Business Machines, Inc., http://www.apache.org.  For more
 * information on the Apache Software Foundation, please see
 * <http://www.apache.org/>.
 */

package com.myeis.wsdl.extensions.j2c.myeis;

import javax.xml.namespace.*;

/**
 * Insert the type's description here.
 * Creation date: (6/23/2001 8:32:04 PM)
 * @author: Administrator
 */
public class MyEISOperation
	implements javax.wsdl.extensions.ExtensibilityElement, java.io.Serializable {

	private QName fieldElementType = MyEISBindingConstants.Q_ELEM_OPERATION;
	private Boolean required = null;

	private String fieldFunctionName = null;

	/**
	 * CICSOperation constructor comment.
	 */
	public MyEISOperation() {
		super();
	}
	/**
	  * Get the type of this extensibility element.
	  *
	  * @return the extensibility element's type
	  */
	public javax.xml.namespace.QName getElementType() {
		return fieldElementType;
	}
	/**
	  * Get whether or not the semantics of this extension
	  * are required. Relates to the wsdl:required attribute.
	  */
	public Boolean getRequired() {
		return required;
	}
	/**
	 * Insert the method's description here.
	 * Creation date: (7/25/2001 3:17:56 AM)
	 * @return java.lang.String
	 */
	public java.lang.String getFunctionName() {
		return fieldFunctionName;
	}
	/**
	  * Set the type of this extensibility element.
	  *
	  * @param elementType the type
	  */
	public void setElementType(javax.xml.namespace.QName elementType) {
	}
	/**
	  * Set whether or not the semantics of this extension
	  * are required. Relates to the wsdl:required attribute.
	  */
	public void setRequired(Boolean required) {
		this.required = required;
	}
	/**
	 * Insert the method's description here.
	 * Creation date: (7/25/2001 3:17:56 AM)
	 * @param functionName java.lang.String
	 */
	public void setFunctionName(java.lang.String functionName) {
		fieldFunctionName = functionName;
	}
}